> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Digitalocean Ssh Keys Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/clusters/digitalocean/{cluster_id}/ssh-keys
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/ssh-keys:
    put:
      tags:
        - DigitalOcean Cluster API
      summary: Update Digitalocean Ssh Keys Endpoint
      operationId: >-
        update_digitalocean_ssh_keys_endpoint_api_v1_clusters_digitalocean__cluster_id__ssh_keys_put
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSSHKeysRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSSHKeysResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateSSHKeysRequest:
      properties:
        ssh_key_credential_ids:
          items:
            type: string
          title: Ssh Key Credential Ids
          type: array
      required:
        - ssh_key_credential_ids
      title: UpdateSSHKeysRequest
      type: object
    UpdateSSHKeysResult:
      properties:
        ssh_key_credential_ids:
          items:
            type: string
          title: Ssh Key Credential Ids
          type: array
      required:
        - ssh_key_credential_ids
      title: UpdateSSHKeysResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````